jQuery(document).ready(function($){
	var $window=$(window);
	var url=location.href;
	var path=url.split('/');
	var pagename=path[(path.length-1)].split('.html')[0];
	var hashcode=(location.hash!='')?decodeURIComponent(url.split('#')[1]):'';
	var $header=$('.header');
	var $searchcode=$('#searchcode');
	var $btn_search=$('.btn_search');
	var $pagenav=$('#pagenav');
	var $pagenavoption=$pagenav.find('option');
	var $cdtb=$("#codetable");
	var $cdth=$cdtb.find('th');
	var $cdthead=$cdth.find('div');
	var dataIndx=[];
	var thdi={};
	var divdi={};
	var sep='-';

	// Page Check
	function ckUrl(str){
		var ckflg=false;
		$pagenavoption.each(function(i){
			if($(this).val()==str){ckflg=true;return ckflg;}
		});
		return ckflg;
	}

	// Code Check
	function ckCode(str,sep){
		var ckstr=[];
		str=str.replace(/[０-９ｘＸ]/g,function(s){return String.fromCharCode(s.charCodeAt(0)-65248);});
		ckstr=str.split(sep);
		ckstr[0]=ckstr[0].substr(0,3).replace(/X/g,'x').replace(/[^0-9x]/g,'');
		ckstr[1]=(ckstr[1])?ckstr[1].substr(0,64):'';
		if(str.length==7&&parseInt(str,10)!==0){
			dosubmitnow=true;
		}
		str=ckstr.join('');
		if(sep.length>0&&str.length>3){
			str=str.replace(/^(\d[\dx][\dx])/g,"$1"+sep);
		}
		return str;
	}

	// Code Table THead
	function setCodeTbThead(){
		var len=dataIndx.length;
		for (var ii=len,i;ii--;){
			i=len-ii-1;
			var di=dataIndx[i];
			var w=~~(thdi[di].width());
			var h=~~(divdi[di].height());
			divdi[di].css({'width':w});
			thdi[di].css({'height':h});
		}
	}
	function resetCodeTableHead(){
		var wintop=~~($window.scrollTop());
		var cdthtop=~~($cdtb.position().top)-(~~($header.height())+12);
		setCodeTbThead();
		if(cdthtop<=wintop){
			$cdthead.css({'top':wintop-cdthtop});
		}else{
			$cdthead.css({'top':0});
		}
	}

	// Set Scroll-Top
	function setTop(){
		var scrtop=~~($window.scrollTop())-(~~($header.height())+~~($cdthead.height())+62);
		$window.scrollTop(scrtop);
	}

	// Errorcode search
	function doCodeSearch(){
		var val=ckCode($searchcode.val(),sep);
		var fcode=val.split(sep);
		var clscode=(fcode[0])?fcode[0]:pagename;
		var errcode=(fcode[1])?fcode[1]:'0000';
		var hash=(clscode!=='index')?'#'+clscode+'-'+errcode:'';
		if(ckUrl(clscode+'.html')){
			location.href=clscode+'.html'+hash;
			setTop();
			return false;
		}
		$searchcode.val(clscode+'-'+errcode);
		setTop();
	}

	function main(){
		var len;

		// init Search form
		$btn_search.click(function(){doCodeSearch();});
		$searchcode.keyup(function(ev){
			if(ev.keyCode==13){doCodeSearch();}
		}).val(hashcode);

		// Page navi
		$pagenav.change(function(){
			location.href=$(this).val();
			return false;
		});

		if($cdtb&&$cdtb.text()!==''){
			// init Code Table THead Data
			len=$cdth.length;
			for(var ii=len,i;ii--;){
				i=len-ii-1;
				var di=$cdth[i].getAttribute('data-dataIndx');
				dataIndx.push(di);
				thdi[di]=$('th.di_'+di);
				divdi[di]=$('div.di_'+di);
			}
			$window.scroll(function(){resetCodeTableHead();})
			.resize(function(){resetCodeTableHead();})
			.click(function(){resetCodeTableHead();})
			.keyup(function(){resetCodeTableHead();});
			if(hashcode&&hashcode!==''){doCodeSearch();}else{setTop();}
			resetCodeTableHead();
		}else{
			if(hashcode&&hashcode!==''){doCodeSearch();}else{setTop();}
		}
	}

	main();
});